## qutebrowser 3.1.0

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

adblock==0.6.0
colorama==0.4.6
importlib-resources==6.1.1 ; python_version=="3.8.*"
Jinja2==3.1.2
MarkupSafe==2.1.3
Pygments==2.17.2
PyYAML==6.0.1
zipp==3.17.0
# Unpinned due to recompile_requirements.py limitations
pyobjc-core ; sys_platform=="darwin"
pyobjc-framework-Cocoa ; sys_platform=="darwin"

=== debian/changelog ===
qutebrowser (3.1.0-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * Add upstream signing key to debian/upstream/signing-key.asc
  * New upstream version 3.1.0 (Closes: #1062231)
  * Add debian changes for release 3.1.0
  * Declare compliance with Debian Policy 4.7.0. (No changes needed.)

 -- Fritz Reichwald <reichwald@b1-systems.de>  Mon, 22 Jul 2024 21:34:31 +0200

qutebrowser (2.5.4-3) unstable; urgency=medium

  * Bump library names for the time64 transition. (Closes: #1067534)
  * Bump packaging copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Mon, 25 Mar 2024 22:20:12 +0100

=== debian/control ===
Source: qutebrowser
Section: web
Priority: optional
Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: asciidoc,
               debhelper-compat (= 13),
               dh-python,
               docbook-xml,
               docbook-xsl,
               libxml2-utils,
               python3 (>= 3.8),
               python3-setuptools,
               source-highlight,
               xsltproc
Standards-Version: 4.7.0
Homepage: https://qutebrowser.org/
Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
Rules-Requires-Root: no

Package: qutebrowser
Architecture: all
Depends: python3 (>= 3.8),
         python3-importlib-resources | python3 (>= 3.9),
         python3-yaml,
         qutebrowser-qtwebengine | qutebrowser-qtwebkit,
         ${misc:Depends},
         ${python3:Depends}
Suggests: libjs-pdf,
          nodejs
Provides: www-browser
Description: Keyboard-driven, vim-like browser based on Python and Qt
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and Qt and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.
 .
 qutebrowser supports two different rendering engine backends:
 QtWebKit and QtWebEngine.

Package: qutebrowser-qtwebengine
Architecture: all
Depends: libqt6core6 (>= 6.2.0),
         libqt6dbus6 (>= 6.2.0),
         libqt6sql6-sqlite,
         libqt6webenginecore6 (>= 6.2.0),
         python3-pyqt6,
         python3-pyqt6.qtquick,
         python3-pyqt6.qtwebengine (>= 6.2.0),
         qutebrowser (= ${source:Version}),
         ${misc:Depends}
Suggests: python3-pygments
Description: QtWebEngine backend dependency package for qutebrowser
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and PyQt5 and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.
 .
 This package contains all the required dependencies to use
 qutebrowser with the QtWebEngine backend.

Package: qutebrowser-qtwebkit
Architecture: all
Depends: libqt5core5t64 (>= 5.15.0),
         libqt5dbus5t64 (>= 5.15.0),
         libqt5sql5-sqlite,
         libqt5webkit5 (>= 5.212),
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-pyqt5.qtquick,
         python3-pyqt5.qtsql,
         python3-pyqt5.qtwebkit (>= 5.15.0),
         qutebrowser (= ${source:Version}),
         ${misc:Depends}
Recommends: ca-certificates,
            python3-pygments
Description: QtWebKit backend dependency package for qutebrowser
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and PyQt5 and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.
 .
 This package contains all the required dependencies to use
 qutebrowser with the QtWebKit backend.

## qutebrowser 3.3.1

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

adblock==0.6.0
colorama==0.4.6
importlib_resources==6.4.5 ; python_version=="3.8.*"
Jinja2==3.1.4
MarkupSafe==2.1.5
Pygments==2.18.0
PyYAML==6.0.2
zipp==3.20.2
# Unpinned due to recompile_requirements.py limitations
pyobjc-core ; sys_platform=="darwin"
pyobjc-framework-Cocoa ; sys_platform=="darwin"

=== debian/changelog ===
qutebrowser (3.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release, switch to Qt 6 only.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 12:23:53 -0500

=== debian/control ===
Source: qutebrowser
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: asciidoc,
               debhelper-compat (= 13),
               dh-python,
               docbook-xml,
               docbook-xsl,
               libxml2-utils,
               python3 (>= 3.8),
               python3-setuptools,
               source-highlight,
               xsltproc
Standards-Version: 4.7.0
Homepage: https://qutebrowser.org/
Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
Rules-Requires-Root: no

Package: qutebrowser
Architecture: all
Depends: libqt6core6 (>= 6.2.0),
         libqt6dbus6 (>= 6.2.0),
         libqt6sql6-sqlite,
         libqt6webenginecore6 (>= 6.2.0),
         python3 (>= 3.8),
         python3-importlib-resources | python3 (>= 3.9),
         python3-pyqt6,
         python3-pyqt6.qtquick,
         python3-pyqt6.qtwebengine (>= 6.2.0),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Suggests: libjs-pdf, nodejs, python3-pygments
Provides: www-browser
Description: Keyboard-driven, vim-like browser based on Python and Qt
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and Qt and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.

## qutebrowser 3.4.0

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

adblock==0.6.0
colorama==0.4.6
Jinja2==3.1.4
MarkupSafe==3.0.2
Pygments==2.18.0
PyYAML==6.0.2
# Unpinned due to recompile_requirements.py limitations
pyobjc-core ; sys_platform=="darwin"
pyobjc-framework-Cocoa ; sys_platform=="darwin"

=== debian/changelog ===
qutebrowser (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0

 -- Fritz Reichwald <reichwald@b1-systems.de>  Wed, 22 Jan 2025 20:06:03 +0100

qutebrowser (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

  [ Bastian Germann ]
  * Drop qutebrowser-qtwebkit (Closes: #1093553)
  * Drop qutebrowser-qtwebengine (Closes: #892562)

 -- Fritz Reichwald <reichwald@b1-systems.de>  Wed, 24 Jul 2024 11:32:46 +0200

## qutebrowser 3.6.1

=== debian/changelog ===
qutebrowser (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1

 -- Fritz Reichwald <reichwald@b1-systems.de>  Sun, 09 Nov 2025 20:59:03 +0100

qutebrowser (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1

 -- Fritz Reichwald <reichwald@b1-systems.de>  Mon, 23 Jun 2025 20:06:03 +0100

=== debian/control ===
Source: qutebrowser
Section: web
Priority: optional
Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: asciidoc,
               debhelper-compat (= 13),
               dh-python,
               docbook-xml,
               docbook-xsl,
               libxml2-utils,
               python3 (>= 3.9),
               python3-setuptools,
               source-highlight,
               xsltproc
Standards-Version: 4.7.0
Homepage: https://qutebrowser.org/
Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
Rules-Requires-Root: no

Package: qutebrowser
Architecture: all
Depends: python3 (>= 3.9),
         python3-yaml,
         python3-pyqt6,
         python3-pyqt6.qtquick,
         python3-pyqt6.qtwebengine (>= 6.2.0),
         libqt6sql6-sqlite,
         ${misc:Depends},
         ${python3:Depends}
Suggests: libjs-pdf,
          python3-pygments,
          nodejs
Provides: www-browser
Description: Keyboard-driven, vim-like browser based on Python and Qt
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and Qt and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.
 .
 qutebrowser supports the rendering engine QtWebEngine.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=qutebrowser
export PYBUILD_DESTDIR=debian/qutebrowser
export PYBUILD_DISABLE_python3=test
%:
	dh $@ --with python3 --buildsystem=pybuild --link-doc=qutebrowser

override_dh_auto_build:
	dh_auto_build
	a2x -f manpage doc/qutebrowser.1.asciidoc

override_dh_auto_install:
	dh_auto_install
	env PREFIX=/usr DESTDIR=debian/qutebrowser $(MAKE) -f misc/Makefile install
	rm -f debian/qutebrowser/usr/lib/python3.*/dist-packages/qutebrowser/html/COPYING.html
	# Fix accidentially set x-bit
	chmod a-x -c debian/qutebrowser/usr/share/qutebrowser/scripts/utils.py
	chmod a-x -c debian/qutebrowser/usr/share/qutebrowser/userscripts/README.md

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.asciidoc

# Fix second installation of qutebrowser binary into /usr/local/bin/
# started somewhen after setuptools 59.6.0 and latest with 65.5.0, see
# https://bugs.debian.org/1022364
override_dh_usrlocal:
	rm -rvf debian/qutebrowser/usr/local/

=== debian/watch ===
version=4
opts="searchmode=plain,pgpsigurlmangle=s/$/.asc/,filenamemangle=s/(?:.*)?qutebrowser-?(\d[-\d\.a-z]*)\.tar\.gz/qutebrowser-$1.tar.gz/" \
         https://api.github.com/repos/qutebrowser/qutebrowser/releases/latest https://github.com/(?:[^"\s]*/)?qutebrowser-(\d[-\d\.a-z]*)\.tar\.gz

## qutebrowser 3.6.3

=== debian/changelog ===
qutebrowser (3.6.3-1) unstable; urgency=medium

  * New upstream version 3.6.3

 -- Fritz Reichwald <reichwald@b1-systems.de>  Fri, 30 Jan 2026 10:07:43 +0100
